Get Endpoint
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoint \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/endpoint"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/endpoint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": {
"id": "<string>",
"name": "<string>",
"appName": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"url": "<string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "<string>",
"maxConcurrent": "<string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "<string>"
},
"policy": {
"type": "<string>",
"value": "<string>"
},
"image": {
"image": "<string>",
"authId": "<string>",
"command": "<string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"id": "<string>",
"size": 123,
"mountPath": "<string>"
}
],
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"ports": [
{
"port": 123
}
],
"workers": [
{
"id": "<string>",
"state": {
"state": "<string>",
"error": "<string>",
"message": "<string>"
},
"log": "<string>",
"metrics": "<string>",
"healthy": true
}
],
"products": [
{
"id": "<string>"
}
],
"healthy": {
"path": "<string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "<string>",
"log": "<string>"
}
}Serverless GPUs
Get Endpoint
GET
/
gpu-instance
/
openapi
/
v1
/
endpoint
Get Endpoint
Request Headers
string
erforderlich
Enum:
application/jsonstring
erforderlich
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
erforderlich
Endpoint ID.
Response
object
erforderlich
Endpoint information.
Ausblenden properties
Ausblenden properties
string
erforderlich
Endpoint ID.
string
erforderlich
Endpoint name.
string
erforderlich
Application name.
object
erforderlich
string
erforderlich
Endpoint URL. You can access your HTTP service via this URL.
object
erforderlich
Worker configuration for the endpoint.
Ausblenden properties
Ausblenden properties
object
erforderlich
Auto-scaling policy for the endpoint.
Ausblenden properties
Ausblenden properties
string
erforderlich
Policy type. Options:
queue: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.concurrency: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.
string
erforderlich
The meaning of value depends on the type:
- If type = queue, value is the queue waiting time in seconds.
- If type = concurrency, value is the maximum number of requests in the queue.
object
erforderlich
integer
erforderlich
System disk size.
object[]
erforderlich
Storage configuration for the endpoint.
object[]
erforderlich
object[]
erforderlich
Worker information for the endpoint.
Ausblenden properties
Ausblenden properties
string
erforderlich
Worker ID.
object
erforderlich
string
erforderlich
Log path for the worker.
string
erforderlich
Monitoring information for the worker.
boolean
erforderlich
Whether the worker is healthy.
object
erforderlich
Health check configuration for the endpoint.
Ausblenden properties
Ausblenden properties
string
erforderlich
Path to be checked via HTTP request for health monitoring.
integer
erforderlich
Time to wait after startup before starting health checks, in seconds.
integer
erforderlich
Interval between health checks, in seconds.
integer
erforderlich
Timeout for health checks, in seconds.
integer
erforderlich
Number of consecutive successes required to consider the check successful after a previous failure.
integer
erforderlich
Number of consecutive failures required to consider the check failed after a previous success.
string
erforderlich
Cluster ID where the cloud storage resides. Returned when using cloud storage.
string
erforderlich
Log path for the endpoint.
Zuletzt geändert am 15. Mai 2026
⌘I